> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job Status



## OpenAPI

````yaml /api-reference/openapi.json get /api/jobs/{job_id}
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/jobs/{job_id}:
    get:
      tags:
        - imports
        - jobs
      summary: Get Job Status
      operationId: get_job_status_api_jobs__job_id__get
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            title: Job Id
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    JobStatusResponse:
      properties:
        job_id:
          type: string
          title: Job Id
        provider:
          type: string
          title: Provider
        status:
          type: string
          title: Status
        progress:
          type: integer
          title: Progress
        message:
          type: string
          title: Message
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        cancel_requested:
          type: boolean
          title: Cancel Requested
          default: false
        cancelled_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Cancelled At
        details:
          type: object
          title: Details
        created_at:
          type: string
          title: Created At
        updated_at:
          type: string
          title: Updated At
      type: object
      required:
        - job_id
        - provider
        - status
        - progress
        - message
        - created_at
        - updated_at
      title: JobStatusResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````